It's all about the answers!

Ask a question

RQM Command line adapter does not seem to work


Natarajan Thirumeni (288319) | asked Mar 16 '18, 6:19 a.m.

You're using RQM v605 CLA (Command Line Adapter). You're trying to run the adapter as per given readme file in the CLM package. For example:

>start.bat -repository https://<server>:<port>/qm/ -user <username> -password <password> -adapterName CLATEST -projectArea MyQMProjectArea

The adapter fails with

The adapter did not run, exited unexpectedly, or was killed.

This can happen if java.exe was not found in the PATH,
or if java.exe is too old or not compatible (the version of JAVA required is 1.5 or later),
or Configuration File does not have write permissions, or some other error occurred.
Please refer to the readme.txt file in the adapter package

As far as you can see,
All arguments are valid
You're able to login using a same user name and pwd in the web client from the same system.
And you're member of the project area. 
You're using JRE v1.7  in the path, which is x64 bits.

Yet, CLM fails. What is going on?

One answer



permanent link
Natarajan Thirumeni (288319) | answered Mar 16 '18, 6:28 a.m.

After further investigation it seems like the RQM CLA do not work with JRE x64 bits. You need IBM JRE x32 bit on the path.

If you're using RQM CLA v605 you could set IBM JRE 1.7 x32 bits on the classpath. IBM JRE 1.7 x32 bits comes with RTC Eclipse client v605.

For example
set PATH="C:\IBM\RTCv605\jre\bin";%PATH%

And then run >java -version  to ensure JRE 1.7 x32 is set.

Java version "1.7.0"
Java(TM) SE Runtime Environment (build pwi3270_27sr4fp1-20170215_01(SR4 FP1))
IBM J9 VM (build 2.7, JRE 1.7.0 Windows 7 x86-32 20170111_332909 (JIT enabled, AOT enabled)
J9VM - R27_Java727_SR4_20170111_1307_B332909
JIT  - tr.r13.java_20161228_130085.01
GC   - R27_Java727_SR4_20170111_1307_B332909
J9CL - 20170111_332909)
JCL - 20170215_01 based on Oracle jdk7u131-b12


Afterwards, run the adapter and you will be able to run the adapter.

I am not sure if this is a bug in the CLA or CLA is not supported on x64 bits. I will work with QM dev team on this and keep you posted. For now please use x32 bits JRE.

Your answer


Register or to post your answer.